# Class SkyPlot2Task

java.lang.Object
uk.ac.starlink.ttools.plot2.task.AbstractPlot2Task
uk.ac.starlink.ttools.plot2.task.TypedPlot2Task<SkySurfaceFactory.Profile, SkyAspect>
uk.ac.starlink.ttools.plot2.task.SkyPlot2Task

All Implemented Interfaces:
  `uk.ac.starlink.task.Task, DynamicTask`

public class SkyPlot2Task extends TypedPlot2Task<SkySurfaceFactory.Profile, SkyAspect>
Task for Sky-type plots.

Since:
  3 Sep 2014
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class AbstractPlot2Task

`DOC_ZONE_SUFFIX, DOMAINMAPPER_SUFFIX, EXAMPLE_LAYER_SUFFIX, EXAMPLE_ZONE_SUFFIX, LAYER_PREFIX, ZONE_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`SkyPlot2Task()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`ConfigMap`
`createCustomConfigMap(uk.ac.starlink.task.Environment env)`
Provides any additional config keys (beyond layer style and aux map) that should be provided for layer creation.

### Methods inherited from class TypedPlot2Task

`createDefaultPlotContext, getConfigParamDefault, getParameters, getPlotContext, getPlotContext, getPlotType, getPurpose`

### Methods inherited from class AbstractPlot2Task

`createAuxCrowdParameter, createAuxLabelParameter, createAuxVisibleParameter, createAuxWidthParameter, createBasicConfigMap, createCaptioner, createConfigMap, createDataParameter, createDomainMapperParameter, createExecutable, createFilterParameter, createLabelParameter, createLayerSuffixedConfigMap, createLayerTypeParameter, createLegend, createLegendPositionParameter, createPaintModeParameter, createPlotComponent, createPlotConfiguration, createPlotIcon, createPlotIcon, createShadeAxisFactory, createTableParameter, createTitleParameter, createZoneParameter, getBasicParameters, getBitmapParameter, getCompositorParameter, getContextParameters, getCoordValue, getDataStoreParameter, getInputTable, getLegendBorderParameter, getLegendOpaqueParameter, getLegendParameter, getLegendSequenceParameter, getPaddingParameter, getParameterByName, getPlotters, getSequenceParameter, getXpixParameter, getYpixParameter, getZoneKeyParams, hasDomainMappers, hasZoneSuffixes, testEnv`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SkyPlot2Task

public SkyPlot2Task()
Constructor.

## Method Details

### createCustomConfigMap

public ConfigMap createCustomConfigMap(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Description copied from class: `AbstractPlot2Task`
Provides any additional config keys (beyond layer style and aux map) that should be provided for layer creation. The default implementation returns an empty map, but this behaviour may be overridden by subclasses.

Overrides:
  `createCustomConfigMap` in class `AbstractPlot2Task`
Parameters:
  `env` - execution environment
Returns:
  custom config entries
Throws:
  `uk.ac.starlink.task.TaskException`